# Profiles

## GET /v1/crm/profiles

>

```json
{"openapi":"3.0.0","info":{"title":"Gormic CRM API","version":"1.0"},"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key","description":"API Key"}},"schemas":{"ListMembershipsApiResponse":{"type":"object","properties":{"app":{"type":"string"},"service":{"type":"string"},"warnings":{"type":"array","items":{"type":"object"}},"instanceId":{"type":"string"},"requestId":{"type":"string"},"data":{"$ref":"#/components/schemas/ListMemberships_Data"}},"required":["app","service","warnings","instanceId","requestId","data"]},"ListMemberships_Data":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/MemebershipMapSummary"}}},"required":["items"]},"MemebershipMapSummary":{"type":"object","properties":{"sequence":{"type":"number"},"number":{"type":"string"},"joiningDate":{"type":"string","nullable":true},"workEmail":{"type":"string","nullable":true},"internalNote":{"type":"string","nullable":true},"pointsAvailable":{"type":"number"},"pointsPending":{"type":"number"},"pointsOnhold":{"type":"number"},"id":{"type":"string"}},"required":["id"]}}},"paths":{"/v1/crm/profiles":{"get":{"operationId":"Profiles_list","parameters":[{"name":"organization-id","in":"header","required":true,"schema":{"type":"string"},"description":"Organization ID"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListMembershipsApiResponse"}}}}},"tags":["Profiles"]}}}}
```

## GET /v1/crm/profiles/{uid}

>

```json
{"openapi":"3.0.0","info":{"title":"Gormic CRM API","version":"1.0"},"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key","description":"API Key"}},"schemas":{"GetMembershipApiResponse":{"type":"object","properties":{"app":{"type":"string"},"service":{"type":"string"},"warnings":{"type":"array","items":{"type":"object"}},"instanceId":{"type":"string"},"requestId":{"type":"string"},"data":{"$ref":"#/components/schemas/GetMembership_Data"}},"required":["app","service","warnings","instanceId","requestId","data"]},"GetMembership_Data":{"type":"object","properties":{"item":{"$ref":"#/components/schemas/GetMembership_Data_Item"}},"required":["item"]},"GetMembership_Data_Item":{"type":"object","properties":{"sequence":{"type":"number"},"number":{"type":"string"},"joiningDate":{"type":"string","nullable":true},"workEmail":{"type":"string","nullable":true},"internalNote":{"type":"string","nullable":true},"pointsAvailable":{"type":"number"},"pointsPending":{"type":"number"},"pointsOnhold":{"type":"number"},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"},"id":{"type":"string"},"level":{"$ref":"#/components/schemas/GetMembership_Data_Item_Level"},"enrollments":{"type":"array","items":{"$ref":"#/components/schemas/ProgramEnrollmentMap"}},"partners":{"type":"array","items":{"$ref":"#/components/schemas/PartnerMap"}},"tagAssignments":{"type":"array","items":{"$ref":"#/components/schemas/TagAssignmentM"}}},"required":["id","level","enrollments","partners","tagAssignments"]},"GetMembership_Data_Item_Level":{"type":"object","properties":{"locales":{"type":"object"},"sortNumber":{"type":"number","nullable":true},"alias":{"type":"string","nullable":true},"rewardQualPoints":{"type":"number","nullable":true},"rewardQualPeriod":{"type":"object"},"rewardRetention":{"type":"object"},"pointsConvertRate":{"type":"number"},"rewardValidaty":{"type":"object"},"id":{"type":"string"},"benefits":{"type":"array","items":{"$ref":"#/components/schemas/MembershipLevelBenefitM"}}},"required":["locales","id","benefits"]},"MembershipLevelBenefitM":{"type":"object","properties":{"locales":{"type":"object"},"type":{"type":"string","enum":["dicount-flat","discount-absolute","discount-percent","free-dessert","free-drink","priority"]},"amount":{"type":"number"},"discountRef":{"type":"string","nullable":true},"sortNumber":{"type":"number","nullable":true},"id":{"type":"string"},"uid":{"type":"string"},"rules":{"type":"array","items":{"$ref":"#/components/schemas/BenefitRuleM"}},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"},"applicable":{"type":"boolean"},"overwritten":{"type":"boolean"}},"required":["locales","type","amount","id","uid","rules","applicable","overwritten"]},"BenefitRuleM":{"type":"object","properties":{"conditions":{"type":"array","items":{"$ref":"#/components/schemas/BenefitRuleM_ConditionsItem"}},"action":{"type":"string","enum":["apply","exclude"]},"sortNumber":{"type":"number"},"id":{"type":"string"},"uid":{"type":"string"},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"}},"required":["conditions","action","sortNumber","id","uid"]},"BenefitRuleM_ConditionsItem":{"type":"object","properties":{"key":{"type":"string","enum":["basic.date","basic.day","basic.time"]},"operator":{"type":"string","enum":["contains","endsWith","equals","greater","greaterOrEquals","in","less","lessOrEquals","notEquals","startsWith"]},"value":{"type":"string"}},"required":["key","operator","value"]},"ProgramEnrollmentMap":{"type":"object","properties":{"startTime":{"type":"string"},"endTime":{"type":"string"},"ended":{"type":"boolean"},"endedAt":{"type":"string","nullable":true},"id":{"type":"string"},"program":{"$ref":"#/components/schemas/ProgramEnrollmentMap_Program"}},"required":["startTime","id","program"]},"ProgramEnrollmentMap_Program":{"type":"object","properties":{"locales":{"type":"object"},"excludedLevels":{"type":"object"},"period":{"type":"number","nullable":true},"periodUnit":{"type":"object"},"alias":{"type":"string","nullable":true},"id":{"type":"string"},"benefits":{"type":"array","items":{"$ref":"#/components/schemas/BenefitMapWithEnrollment"}}},"required":["locales","id","benefits"]},"BenefitMapWithEnrollment":{"type":"object","properties":{"locales":{"type":"object"},"type":{"type":"string","enum":["dicount-flat","discount-absolute","discount-percent","free-dessert","free-drink","priority"]},"amount":{"type":"number"},"discountRef":{"type":"string","nullable":true},"sortNumber":{"type":"number","nullable":true},"id":{"type":"string"},"uid":{"type":"string"},"rules":{"type":"array","items":{"$ref":"#/components/schemas/BenefitRuleM"}},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"},"isEffective":{"type":"boolean"},"effectiveStartTime":{"type":"string"},"effectiveEndTime":{"type":"string"},"applicable":{"type":"boolean"},"overwritten":{"type":"boolean"}},"required":["locales","type","amount","id","uid","rules","isEffective","effectiveStartTime","applicable","overwritten"]},"PartnerMap":{"type":"object","properties":{"domain":{"type":"string"},"locales":{"type":"object"},"id":{"type":"string"},"programs":{"type":"array","items":{"$ref":"#/components/schemas/ProgramMap"}}},"required":["domain","locales","id","programs"]},"ProgramMap":{"type":"object","properties":{"locales":{"type":"object"},"excludedLevels":{"type":"object"},"period":{"type":"number","nullable":true},"periodUnit":{"type":"object"},"alias":{"type":"string","nullable":true},"id":{"type":"string"},"benefits":{"type":"array","items":{"$ref":"#/components/schemas/BenefitMap"}}},"required":["locales","id","benefits"]},"BenefitMap":{"type":"object","properties":{"locales":{"type":"object"},"type":{"type":"string","enum":["dicount-flat","discount-absolute","discount-percent","free-dessert","free-drink","priority"]},"amount":{"type":"number"},"discountRef":{"type":"string","nullable":true},"sortNumber":{"type":"number","nullable":true},"id":{"type":"string"},"uid":{"type":"string"},"rules":{"type":"array","items":{"$ref":"#/components/schemas/BenefitRuleM"}},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"}},"required":["locales","type","amount","id","uid","rules"]},"TagAssignmentM":{"type":"object","properties":{"eligible":{"type":"boolean"},"effectiveStartTime":{"type":"string"},"effectiveEndTime":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Record_5494b96e"},"uid":{"type":"string"},"tagUid":{"type":"string"},"customerUid":{"type":"string"},"effective":{"type":"boolean"},"tag":{"$ref":"#/components/schemas/TagAssignmentM_Tag"},"benefits":{"type":"array","items":{"$ref":"#/components/schemas/TagAssignmentBenefitM"}},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"}},"required":["eligible","effectiveStartTime","uid","tagUid","customerUid","effective","tag","benefits"]},"Record_5494b96e":{"type":"object","properties":{}},"TagAssignmentM_Tag":{"type":"object","properties":{"type":{"type":"string","enum":["auto","campaign-status","manual"]},"locales":{"type":"object"},"sortBy":{"type":"string"},"uid":{"type":"string"},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"}},"required":["type","locales","uid"]},"TagAssignmentBenefitM":{"type":"object","properties":{"locales":{"type":"object"},"type":{"type":"string","enum":["dicount-flat","discount-absolute","discount-percent","free-dessert","free-drink","priority"]},"amount":{"type":"number"},"discountRef":{"type":"string","nullable":true},"sortNumber":{"type":"number","nullable":true},"id":{"type":"string"},"uid":{"type":"string"},"rules":{"type":"array","items":{"$ref":"#/components/schemas/BenefitRuleM"}},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"},"applicable":{"type":"boolean"},"overwritten":{"type":"boolean"}},"required":["locales","type","amount","id","uid","rules","applicable","overwritten"]},"GetMembershipApiError":{"type":"object","properties":{"error":{"$ref":"#/components/schemas/GetMembership_Error"}},"required":["error"]},"GetMembership_Error":{"type":"object","properties":{"code":{"allOf":[{"$ref":"#/components/schemas/GetMembership_ErrorCodes_enum"}]}},"required":["code"]},"GetMembership_ErrorCodes_enum":{"type":"string","enum":["NotFound"]}}},"paths":{"/v1/crm/profiles/{uid}":{"get":{"operationId":"Profiles_get","parameters":[{"name":"uid","required":true,"in":"path","schema":{"type":"string"}},{"name":"organization-id","in":"header","required":true,"schema":{"type":"string"},"description":"Organization ID"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetMembershipApiResponse"}}}},"400":{"description":"Functional Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetMembershipApiError"}}}}},"tags":["Profiles"]}}}}
```
